openSUSE 10 Security Update : sudo (sudo-5349)

High Nessus Plugin ID 33216


The remote openSUSE host is missing a security update.


This update of sudo flushs the stdin buffer on password timeout.
Unflushed buffers can lead to leaking the password via a parent process reading stdin after sudo exits.


Update the affected sudo package.

Plugin Details

Severity: High

ID: 33216

File Name: suse_sudo-5349.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2008/06/18

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:sudo, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2008/06/16